Size (JavaFX 19)
Description: declaration: module: javafx.graphics, package: javafx.css, class: Size

Module javafx.graphics
Package javafx.css

# Class Size

java.lang.Object
javafx.css.Size

public final class Size extends Object
Represents a size specified in a particular unit, such as 14px or 0.2em.

Since:
  9

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Size(double value, SizeUnits units)`
  Constructs a `Size` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SizeUnits`
  `getUnits()`
  Return the units.
  `double`
  `getValue()`
  Returns the value.
  `boolean`
  `isAbsolute()`
  Returns whether or not this `Size` is an absolute value or a relative value.
  `double`
  `pixels()`
  A convenience method for calling `pixels(1)`
  `double`
  `pixels(double multiplier, Font font)`
  Converts this size into pixels.
  `double`
  `pixels(Font font)`
  If size is not an absolute size, return the product of font size in pixels and value.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Size

    public Size(double value, SizeUnits units)
    Constructs a `Size` object.
    Parameters:
      `value` - value of the size
      `units` - unit of the size

- ## Method Details

  - ### getValue

    public double getValue()
    Returns the value.
    Returns:
      the value

  - ### getUnits

    public SizeUnits getUnits()
    Return the units.
    Returns:
      the units

  - ### isAbsolute

    public boolean isAbsolute()
    Returns whether or not this `Size` is an absolute value or a relative value.
    Returns:
      true if it is absolute, otherwise false

  - ### pixels

    public double pixels(double multiplier, Font font)
    Converts this size into pixels.
    Parameters:
      `multiplier` - The multiplier for PERCENTAGE sizes
      `font` - The font for EM sizes
    Returns:
      the size in pixels

  - ### pixels

    public double pixels(Font font)
    If size is not an absolute size, return the product of font size in pixels and value. Otherwise, return the absolute value.
    Parameters:
      `font` - the font
    Returns:
      the size of pixels

  - ### pixels

    public double pixels()
    A convenience method for calling `pixels(1)`
    Returns:
      the size in pixels